HAdjustmentEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HAdjustmentEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              org.havi.ui.event.HAdjustmentEvent

All Implemented Interfaces:
  Serializable

    public class HAdjustmentEvent

extends AWTEvent

An `HAdjustmentEvent` event is used to interact with a component implementing the `HAdjustmentValue` interface as follows:

- An `HAdjustmentEvent` event may be sent from the HAVi system to the component to cause a change to the value or editable mode of the component as a result of user interaction. For example, this event may be generated by a virtual keyboard user interface on a platform which lacks suitable adjustment keys.
- An `HAdjustmentEvent` event is sent from the component to all registered `HAdjustmentListeners` when a change to the value or editable mode of the component occurs.

All interoperable HAVi components which expect to receive `HAdjustmentEvent` events should also implement the `HAdjustmentInputPreferred` interface.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Field Summary
`static int` | `ADJUST_END_CHANGE` An adjustment event with this id indicates that the value of an `HAdjustmentValue` component has been finally set.
`static int` | `ADJUST_FIRST` The first integer id in the range of event ids supported by the `HAdjustmentEvent` class.
`static int` | `ADJUST_LAST` The last integer id in the range of event ids supported by the `HAdjustmentEvent` class.
`static int` | `ADJUST_LESS` An adjustment event with this id is sent whenever the value of an `HAdjustmentValue` component is decreased by one unit.
`static int` | `ADJUST_MORE` An adjustment event with this id is sent whenever the value of an `HAdjustmentValue` component is increased by one unit.
`static int` | `ADJUST_PAGE_LESS` An adjustment event with this id is sent whenever the value of an `HAdjustmentValue` component is decreased by one block.
`static int` | `ADJUST_PAGE_MORE` An adjustment change event with this id is sent whenever the value of an `HAdjustmentValue` component is increased by one block.
`static int` | `ADJUST_START_CHANGE` An adjustment event with this id indicates that the value of an `HAdjustmentValue` component may be about to change.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK`

Constructor Summary
`HAdjustmentEvent(HAdjustmentInputPreferred source, int id)` Constructs an `HAdjustmentEvent`.

Method Summary

Methods inherited from class java.awt.AWTEvent
`getID, paramString, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADJUST_FIRST

    public static final int ADJUST_FIRST

  The first integer id in the range of event ids supported by the `HAdjustmentEvent` class.

  See Also:
    Constant Field Values

### ADJUST_LAST

    public static final int ADJUST_LAST

  The last integer id in the range of event ids supported by the `HAdjustmentEvent` class.

  See Also:
    Constant Field Values

### ADJUST_START_CHANGE

    public static final int ADJUST_START_CHANGE

  An adjustment event with this id indicates that the value of an `HAdjustmentValue` component may be about to change. This event is sent when the user causes the component to enter its editable mode. Note that it is a platform specific implementation option for such components to enter editable mode automatically e.g. when they receive input focus. In such a case the order in which the `HFocusEvent` and `HAdjustmentEvent` are sent is platform specific.

  See Also:
    `HAdjustmentInputPreferred.getAdjustMode()`, Constant Field Values

### ADJUST_LESS

    public static final int ADJUST_LESS

  An adjustment event with this id is sent whenever the value of an `HAdjustmentValue` component is decreased by one unit.

  See Also:
    `HAdjustmentValue.setUnitIncrement(int)`, `HAdjustmentValue.getUnitIncrement()`, Constant Field Values

### ADJUST_MORE

    public static final int ADJUST_MORE

  An adjustment event with this id is sent whenever the value of an `HAdjustmentValue` component is increased by one unit.

  See Also:
    `HAdjustmentValue.setUnitIncrement(int)`, `HAdjustmentValue.getUnitIncrement()`, Constant Field Values

### ADJUST_PAGE_LESS

    public static final int ADJUST_PAGE_LESS

  An adjustment event with this id is sent whenever the value of an `HAdjustmentValue` component is decreased by one block.

  See Also:
    `HAdjustmentValue.setBlockIncrement(int)`, `HAdjustmentValue.getBlockIncrement()`, Constant Field Values

### ADJUST_PAGE_MORE

    public static final int ADJUST_PAGE_MORE

  An adjustment change event with this id is sent whenever the value of an `HAdjustmentValue` component is increased by one block.

  See Also:
    `HAdjustmentValue.setBlockIncrement(int)`, `HAdjustmentValue.getBlockIncrement()`, Constant Field Values

### ADJUST_END_CHANGE

    public static final int ADJUST_END_CHANGE

  An adjustment event with this id indicates that the value of an `HAdjustmentValue` component has been finally set. This event is sent when the user causes the component to leave its editable mode. Note that it is a platform specific implementation option for such components to leave editable mode automatically e.g. when they lose input focus. In such a case the order in which the `HFocusEvent` and `HAdjustmentEvent` are sent is platform specific.

  See Also:
    `HAdjustmentInputPreferred.getAdjustMode()`, Constant Field Values

Constructor Detail

### HAdjustmentEvent

    public HAdjustmentEvent(HAdjustmentInputPreferred source,
                            int id)

  Constructs an `HAdjustmentEvent`.

  Parameters:
    `source` - The `HAdjustmentInputPreferred` component whose value has been modified.
    `id` - The event id of the `HAdjustmentEvent` generated by the `HAdjustmentInputPreferred` component. This is the value that will be returned by the event object's `getID` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD